Bug 1122433 - Wrong parameter description in section 7.13. POST /metric/data/raw/{resourceId}
Summary: Wrong parameter description in section 7.13. POST /metric/data/raw/{resourceId}
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation, REST
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: JON 3.3.0
Assignee: Jared MORGAN
QA Contact: Mike Foley
Jared MORGAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 08:52 UTC by Jan Bednarik
Modified: 2015-08-10 01:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
[REST API] [3.2]
Last Closed: 2014-12-11 14:03:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Bednarik 2014-07-23 08:52:34 UTC
Description of problem:
In section 7.13. POST /metric/data/raw/{resourceId} there is the parameter of type 'Datapoint' listed but its content is not described. As of now the only way to find out the correct format is to look in the source code.

Version-Release number of selected component (if applicable):
RHQ 4.13-SNAPSHOT

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
The parameter in question represents the list of objects of the following format:

[{"timestamp":<metric_timestamp>, "value":<metric_value>, "metric":<metric_name>}, ...]

Comment 5 Jared MORGAN 2014-09-29 07:23:42 UTC
(In reply to Jan Bednarik from comment #0)
> Description of problem:
> In section 7.13. POST /metric/data/raw/{resourceId} there is the parameter
> of type 'Datapoint' listed but its content is not described. As of now the
> only way to find out the correct format is to look in the source code.
> 
> Version-Release number of selected component (if applicable):
> RHQ 4.13-SNAPSHOT
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:
> The parameter in question represents the list of objects of the following
> format:
> 
> [{"timestamp":<metric_timestamp>, "value":<metric_value>,
> "metric":<metric_name>}, ...]

From what I can see in the 3.2 source, the two defined parameters are resourceID and points, which has the 'Datapoint' parameter.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html-single/RestAPI/index.html#idp35741072

I've added a description for both items. I've created a description for resourceID based on the other descriptions in the guide.

I have also used the example provided verbatim with a minor modification to the text. Text reads:

The list of objects, ordered by Timestamp, Value, then Metric order: [{"timestamp":&lt;metric_timestamp&gt;, "value":&lt;metric_value&gt;, "metric":&lt;metric_name&gt;}, ...]

Please verify to ensure my understanding of the syntax ordering is correct.

Sending        en-US/RestAPI.xml
Sending        en-US/Revision_History.xml
Sending        publican.cfg
Transmitting file data ...
Committed revision 97751.

Added a description for the Datapoint paramter in POST /metric/data/raw/{resourceId} and bumped Rev History

Build should be available at http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html-single/RestAPI/index.html#idp35741072 shortly.

Comment 7 Jared MORGAN 2014-10-30 03:27:52 UTC
Ready for verification per Comment#5


Note You need to log in before you can comment on or make changes to this bug.